Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233184 - evo can't attach "zero length" files
Summary: evo can't attach "zero length" files
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Crha
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 20:00 UTC by Adam Jackson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-24 11:13:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 440919 None None None Never

Description Adam Jackson 2007-03-20 20:00:10 UTC
Description of problem:

Trying to send /proc/bus/usb/devices as an attachment eventually times out with
a rather hilarious error message:

Cannot append message to mbox file: /home/ajax/.evolution/mail/local/Outbox:
Connection timed out

However, copying the file aside and attaching the copy works just fine. 
/prov/bus/usb/devices is listed as 0 bytes long in ls, so it's probably just evo
getting stuck waiting for zero bytes forever.

Version-Release number of selected component (if applicable):

evolution-2.9.92-1.fc7

Comment 1 Matthew Barnes 2007-03-23 22:13:43 UTC
Likely a problem in Camel, so changing the component to Evolution-Data-Server.

My guess is it's one of the CamelStream subclasses; CamelStreamFs perhaps.

Comment 2 Christopher Aillon 2007-04-17 19:38:50 UTC
Wanna upstream this Matt?

Comment 3 Milan Crha 2007-05-24 10:05:15 UTC
I'm not sure what I could do with this. Based on my observations, at
evolution-data-server/camel/camel-file-utils.c is in function camel_read used
function select, which waits for max 4 minutes on response from device, and if
it will fail (timeout), then the result is an error message mentioned above.

I think we could rather move this upstream and discuss with them how to solve it
properly.

Comment 4 Matthew Barnes 2007-05-24 10:50:37 UTC
Milan, yes please move this upstream.

Comment 5 Milan Crha 2007-05-24 11:13:49 UTC
Moving this upstream where we will continue to track the problem.
Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=440919


Note You need to log in before you can comment on or make changes to this bug.